Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1275008 - Review Request: nodejs-euclidean-distance - Calculate the Euclidean distance been two points
Summary: Review Request: nodejs-euclidean-distance - Calculate the Euclidean distance ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1274930
TreeView+ depends on / blocked
 
Reported: 2015-10-24 20:05 UTC by William Moreno
Modified: 2017-02-18 16:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-18 16:15:11 UTC
piotr1212: fedora-review-


Attachments (Terms of Use)

Description William Moreno 2015-10-24 20:05:25 UTC
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/nodejs-euclidean-distance.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/nodejs-euclidean-distance-0.1.0-1.fc24.src.rpm<srpm info here>
Description: Calculate the Euclidean distance been two points
Fedora Account System Username: williamjmorenor

Comment 1 Piotr Popieluch 2015-11-14 12:16:00 UTC
Thanks for packaging, 

Comments:
- please update URL tag to point to actual package
- request upstream to add license text
- enable tests
- set correct version in changelog
- remove symlink deps in build





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* WTFPL", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/piotr/rpmbuild/1275008-nodejs-euclidean-
     distance/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-euclidean-distance-0.1.0-1.fc24.noarch.rpm
          nodejs-euclidean-distance-0.1.0-1.fc24.src.rpm
nodejs-euclidean-distance.noarch: W: spelling-error %description -l en_US nD -> ND, n, D
nodejs-euclidean-distance.noarch: W: incoherent-version-in-changelog 1.0.0-1 ['0.1.0-1.fc24', '0.1.0-1']
nodejs-euclidean-distance.noarch: W: only-non-binary-in-usr-lib
nodejs-euclidean-distance.src: W: spelling-error %description -l en_US nD -> ND, n, D
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-euclidean-distance.noarch: W: incoherent-version-in-changelog 1.0.0-1 ['0.1.0-1.fc24', '0.1.0-1']
nodejs-euclidean-distance.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-euclidean-distance (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-euclidean-distance:
    nodejs-euclidean-distance
    npm(euclidean-distance)



Source checksums
----------------
http://registry.npmjs.org/euclidean-distance/-/euclidean-distance-0.1.0.tgz :
  CHECKSUM(SHA256) this package     : df0b8bbb10b6b6db9091f0b1db0eb636ec19c44400dc64f5eccb71ea7899aa08
  CHECKSUM(SHA256) upstream package : df0b8bbb10b6b6db9091f0b1db0eb636ec19c44400dc64f5eccb71ea7899aa08


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1275008
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 William Moreno 2015-12-28 22:34:36 UTC
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/nodejs-euclidean-distance.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/nodejs-euclidean-distance-0.1.0-2.fc24.src.rpm

Thanks for the review

Changes:
- Fix Project URL
- Remode symlinks in build
- Enable %%check

Comment 3 Piotr Popieluch 2016-05-27 20:39:54 UTC
Excuse me for the long delay, lost track of this request.

Package seems fine now but needs to be updated to the latest version, 1.0. If you could please do that I will approve.

Comment 4 Piotr Popieluch 2017-02-18 15:17:42 UTC
Do you still want to package this?

Comment 5 William Moreno 2017-02-18 16:15:11 UTC
Not rigth now, thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.